<?php

namespace App\Entities;

class OrderEntity extends BaseEntity
{

    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    final public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    final public function getTitle(): string
    {
        return $this->attributes['name'];
    }
    final public function getStatus(): string
    {
        return $this->attributes['status'];
    }

    //추가기능
    final public function getProduct_uid()
    {
        return $this->attributes['product_uid'];
    }
    final public function getUser_uid()
    {
        return $this->attributes['user_uid'];
    }
    final public function getPrice()
    {
        return $this->attributes['price'];
    }
    final public function getQuantity()
    {
        return $this->attributes['quantity'];
    }
}
